/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

/**
 *
 * @author pchr
 */
public class Section {
    private int id;
    private double r1;
    private double r2;
    private Material mat;
    
    public Section() {
    }

    public Section(int id, double r1, double r2, Material mat) {
        this.id=id;
        this.r1 = r1;
        this.r2 = r2;
        this.mat=mat;
    }

    public double getR1() {
        return r1;
    }

    public double getR2() {
        return r2;
    }

    public double getIp() {
        return Math.PI*(r2*r2*r2*r2-r1*r1*r1*r1)/2.;
    }
    
    public int getId(){
        return this.id;
    }
    
    public Material getMaterial(){
        return this.mat;
    }
    
}
