/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

import Jama.Matrix;

/**
 *
 * @author pchr
 */
public class Constraint {
    private int id;
    private static int  numConstraints=0;
    private Node node;
    private double value;
    private int fTable[];
    private static Matrix K = new Matrix(1,1);
    
    public Constraint(){}
    
    public Constraint(Node node, double value){
        ++numConstraints;
        this.id=numConstraints;
        this.node=node;
        this.value=value;
        fTable = new int[1];
    }
    
    public Node getNode(){
        return this.node;
    }
    
    public double getConstraintValue(){
        return this.value;
    }
    
    public int getId(){
        return this.id;
    }
    
    public int[] getFTable() {
        fTable[0] = node.getFTable()[0];
        return fTable;
    }
    
    public Matrix getK() {

        double G = 10e14;
        K.init();
        K.set(0, 0, G);
        
        return K;
    }
    
    public void clear(){
        Constraint.numConstraints=0;
    }

}
