/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gui;
import core.Domain;
import javax.swing.*;

/**
 *
 * @author pchr
 */
public class DrawPanel extends JPanel{
    protected Domain domain;
    protected int xs,ys,xe;
    int yupp;
    int ylow;
    
    public void setDomain(Domain domain){
        this.domain=domain;
    }
    
    public void plot(){
        repaint();
    }
    
    protected int xTransformation(double x){
        int xd=0;
        double xmax=domain.getMaxX();
        double xmin=domain.getMinX();
        int nnode=domain.getNodeCount();
        if(nnode==1){xmin=xmax;}
        if(xmax==xmin){xd=xs;}else{
            xd=(int) ((-xmin * xe + x * (xe - xs) + xmax * xs) / (xmax - xmin));
        }
        return xd;
    }
    
    protected int yTransformation(double y, double ymax, double ymin){
        int yd=0;
        if(Math.abs(ymin-ymax)<10e-7 ){yd=ylow;}else{
            yd=(int) ((-ymin * ylow + y * (ylow - yupp) + ymax * yupp) / (ymax - ymin));
        }
        return yd;
    }
}